Bug 473129 - system-config-printer breaking IPP specified printer definitions
system-config-printer breaking IPP specified printer definitions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 12:00 EST by joshua
Modified: 2008-12-09 06:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 06:34:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shows the broken result (41.53 KB, image/png)
2008-11-26 12:01 EST, joshua
no flags Details
shows the setup (53.75 KB, image/png)
2008-11-26 12:01 EST, joshua
no flags Details

  None (edit)
Description joshua 2008-11-26 12:00:23 EST
Description of problem:



Version-Release number of selected component (if applicable):

system-config-printer-1.0.9-1.fc10

How reproducible:

select New Printer
select IPP device
type in 192.169.0.50 and /ipp/
Click Verify (everything verifies just fine)
click forward three time more, accepting "HP" and "LaserJet 4200" defaults
accept default printer name, click on apply

Bam!  We now have a new printer definition that doesn't work.  At all.
Why?  See results below:

  
Actual results:

Device URI of
hp:/net/hp_LaserJet_4200?ip=192.168.0.50
(per GUI and /etc/cups/printers.conf)

Expected results:

Device URI of
ipp://192.168.0.50/ipp/
(per GUI and /etc/cups/printers.conf from a working F9 install)

Additional info:

Two screenshots attached
Comment 1 joshua 2008-11-26 12:01:29 EST
Created attachment 324764 [details]
shows the broken result
Comment 2 joshua 2008-11-26 12:01:57 EST
Created attachment 324766 [details]
shows the setup
Comment 3 Fedora Update System 2008-12-01 09:43:00 EST
system-config-printer-1.0.12-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/system-config-printer-1.0.12-1.fc10
Comment 4 Fedora Update System 2008-12-02 20:23:52 EST
system-config-printer-1.0.12-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8568
Comment 5 Fedora Update System 2008-12-02 20:30:49 EST
system-config-printer-1.0.12-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10711
Comment 6 joshua 2008-12-02 23:56:17 EST
Wait... I don't think this was broken in F9... only in F10.
Comment 7 Tim Waugh 2008-12-03 05:55:43 EST
Fedora 9 is moving to system-config-printer-1.0.x, so even though it isn't broken now it would have been.
Comment 8 Fedora Update System 2008-12-06 23:25:00 EST
system-config-printer-1.0.12-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10711
Comment 9 Fedora Update System 2008-12-06 23:29:53 EST
system-config-printer-1.0.12-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8568
Comment 10 Fedora Update System 2008-12-09 06:32:12 EST
system-config-printer-1.0.12-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-09 06:34:03 EST
system-config-printer-1.0.12-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.